[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPCustomHashTable.LoadFactor

Fraction of count versus size

## Declaration

Source position: contnrs.pp line 388

`public property TFPCustomHashTable.LoadFactor : Double read GetLoadFactor;`

## Description

LoadFactor is the ratio of elements in the table versus table size. Ideally, this should be as small as possible.

## See also

TFPCustomHashTable.IsEmpty |  | Check if the hash table is empty.
TFPCustomHashTable.Count |  | Number of items in the hash table.
TFPCustomHashTable.AVGChainLen |  | Average chain length
TFPCustomHashTable.MaxChainLength |  | Maximum chain length
TFPCustomHashTable.VoidSlots |  | Number of empty slots in the hash table.
TFPCustomHashTable.Density |  | Number of filled slots
TFPCustomHashTable.NumberOfCollisions |  | Number of extra items

Documentation generated on: Feb 26 2014